/* ======================
HELPER CLASSES
=========================*/

.img-responsive {
	max-width: 100%;
	height: auto;
}

.text-center {
	text-align: center;
}



/* ======================
GLOBAL STYLES
=========================*/

body {
	font-family: 'Arvo', serif;
	text-align: center;
	font-size: 18px;
}

h1, h2, h3, h4, h5, h6 {
	font-family: 'Boogaloo', cursive;
}

figure {
	margin: 1em 15px;
}

.wrapper {
	max-width: 1264px;
	margin: 0 auto;
}

.container {
	padding: 1.5em;
	max-width: 768px;
	margin: 0 auto;
}

.container-full {
	max-width: 1260px;
	padding: 1.5em;
	margin: 0 auto;
}



/* ======================
HEADER STYLES
=========================*/

header {
	background: #0072ff;
	position: relative;
	margin-top: -60px;
	margin-bottom: 150px;
}

header:after {
	content: url(img/toronto-skyline.svg);
	position: absolute;
	width: 1260px;
	height: auto;
	display: block;
	bottom: -4px;
	left: -215px;
}

.header-logo {
	position: relative;
	background: #ffffff;
	padding: 20px 30px;
	transform: rotate(-3deg);
	box-shadow: -6px 4px #105492;
}

.header-logo:before {
	content: '';
	position: absolute;
	background: #A2DADC;
	display: block;
	height: 28px;
	width: 17px;
	right: -7px;
	bottom: 8px;
	transform: rotate(4deg);
	z-index: 1;
}

.header-logo:after {
	content: '';
	position: absolute;
	background: #A2DADC;
	display: block;
	height: 17px;
	width: 35px;
	left: 10px;
	top: -8px;
	transform: rotate(-4deg);
	z-index: 1;
}

.header-logo img {
	transform: rotate(3deg);
}

.header-content-wrapper {
	position: relative;
	z-index: 1;
}

.header-item:first-child {
	max-width: 350px;
	margin: 0 auto;
	transform: translateY(100px);
}

.header-item:nth-child(2) {
	transform: translateY(150px);
}

header p {
	color: #ffffff;
	line-height: 1.7em;
	letter-spacing: .5px;
	margin: 40px 0 20px;
}

.app-wrapper {
	display: flex;
	flex-direction: column;
}

.app-btns {
	display: flex;
	align-items: center;
}

.app-btns img {
	width: 100%;
}

.app-btns a + a {
	padding: 10px;
}

.splash-img {
	width: 300px;
	margin: 0 auto;
}




/* ======================
MAIN SECTION STYLES 
=========================*/

main h2,
main h1 {
	color: #016EB2;
}

figcaption {
	color: #888888;
	line-height: 1.5em;
}

.cml-feature {
	padding: 1em 1.5em;
}

.cml-img img {
	width: 250px;
	margin-top: 25px;
}

.cml-feature__alt {
	background: #F3F3F3;
	padding: 1em 1.5em;
}


/* ======================
EXTRA SECTION STYLES
=========================*/

.cml-extras {
	background: #016EB2;
	padding-bottom: 3em;
}

.cml-extras h1 {
	color: #ffffff;
}

ul.extras-container {
	margin: 0;
	padding: 0;
	list-style: none;
}

.extras-item--wrapper {
	background: #ffffff;
	border-radius: 50%;
	padding: 1.5em;
	height: auto;
	width: 120px;
	margin: 0 auto;
	position: relative;
	box-shadow: -5px 1px 0px 0px #105492;
}

.extras-description {
	transform: rotate(-3deg);
	background: #ffffff;
	margin-top: 9px;
	display: inline-block;
	padding-left: 2em;
	padding-right: 2em;
	position: relative;
	box-shadow: -2px 1px 0px 0px #105492;
}

.extras-description:before {
	content: '';
	position: absolute;
	background: #A2DADC;
	display: block;
	height: 19px;
	width: 10px;
	left: -5px;
	bottom: 3px;
	transform: rotate(4deg);
	z-index: 1;
}

.extras-description:after {
	content: '';
	position: absolute;
	background: #A2DADC;
	display: block;
	height: 11px;
	width: 20px;
	right: 5px;
	top: -5px;
	transform: rotate(7deg);
	z-index: 1;
}

.extras-item p {
	font-family: 'Boogaloo', cursive;
	font-size: 1.5em;
	margin-top: 0;
	margin-bottom: 0;
	padding-top: 6px;
	padding-bottom: 6px;
	color: #203C73;
}

.extras-item + .extras-item {
	margin-top: 2em;
}



/* ======================
FOOTER STYLES
=========================*/

footer {
	padding: 2em;
}

.footer-wrapper {
	max-width: 313px;
	margin: 0 auto;
}

.mazu-logo {
	max-width: 150px;
	margin-top: 45px;
	filter: grayscale(75%);
}

.mazu-logo:hover {
	filter: grayscale(0);
}




/* ======================
MEDIA QUERIES
=========================*/

@media screen and (min-width: 568px) {


/* HEADER SECTION
----------------------------*/
	.header-item:first-child p {
		text-align: left;
	}

	.header-content-wrapper {
		display: flex;
		justify-content: center;
	}

	.header-item + .header-item {
		margin-left: 50px;
	}


/* MAIN SECTION
----------------------------*/
	.cml-feature {
		margin: 4em 0;
	}

	.cml-feature figure {
		display: flex;
		justify-content: center;
		align-items: center;
	}

	.cml-feature figcaption {
		text-align: left;
		max-width: 400px;
	}

	.cml-feature__alt figure {
		flex-direction: row-reverse;
	}

	.cml-img {
		margin-top: 0;
	}

	.cml-feature img {
		margin-top: 0;
		margin-bottom: 0;
/*		padding-left: 2em;
		padding-right: 2em;*/
	}


/* EXTRAS SECTION
----------------------------*/
	.extras-container {
		display: flex;
		justify-content: center;
		flex-wrap: wrap;
	}

	.extras-item:first-child {
		margin-top: 2em;
	}

	.extras-item + .extras-item {
		margin-top: 2em;
		margin-left: 2em;
	}


}


@media screen and (max-width: 767px) and (min-width: 568px) {

	header {
		margin-top: 0;
		margin-bottom: 0;
		padding-top: 30px;
	}

	.header-item:first-child {
		transform: translateY(0);
	}

	.header-item:nth-child(2) {
		transform: translateY(40px);
	}

}



@media screen and (min-width: 992px) {

	header:after {
		width: 100%;
		left: 0;
	}

}








/* ======================
HOVER CSS
=========================*/

.hvr-grow {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px transparent;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-property: transform;
  transition-property: transform;
}
.hvr-grow:hover, .hvr-grow:focus, .hvr-grow:active {
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
}


/* Float */
.hvr-float {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px transparent;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-property: transform;
  transition-property: transform;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}
.hvr-float:hover, .hvr-float:focus, .hvr-float:active {
  -webkit-transform: translateY(-8px);
  transform: translateY(-8px);
}